Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.services
Interface CollaborationFunctionality

public interface CollaborationFunctionality

Method Summary
`java.util.ArrayList` | `getExpertise(java.lang.String sQueryText, User user, java.util.ArrayList alExpertiseParameters)`
`java.util.ArrayList` | `getSimilarAgents(BaseAgent profileOrAgent, java.util.ArrayList alCommunityParameters)` Find agents in the IDOL community that are similar to a given agent or profile.
`java.util.ArrayList` | `getSimilarProfiles(BaseAgent profileOrAgent, java.util.ArrayList alCommunityParameters)` Find profiles in the IDOL community that are similar to a given agent or profile.

Method Detail

### getExpertise

    public java.util.ArrayList getExpertise(java.lang.String sQueryText,
                                            User user,
                                            java.util.ArrayList alExpertiseParameters)
                                     throws AciException,
                                            UserNotFoundException

  Parameters:
    `sQueryText` - the text that community agents and profiles must match to be returned.
    `user` - the user for whom the expertise request is being made (must contain at least the username or user ID of the user). Can be `null`.
    `alExpertiseParameters` - an `ArrayList` of `ActionParameters` specifying any additional parameters that should be sent with the query. See IDOL's online help for the Community action for details of possible parameters. Can be `null`.
  Returns:
    an `ArrayList` of `Agent`s and `Profile`s matching the given query text.
  Throws:
    `AciException` - if there was an error when making the request.
    `UserNotFoundException` - if the specified user does not exist on IDOL.

### getSimilarAgents

    public java.util.ArrayList getSimilarAgents(BaseAgent profileOrAgent,
                                                java.util.ArrayList alCommunityParameters)
                                         throws AciException,
                                                ProfileNotFoundException,
                                                AgentNotFoundException

  Find agents in the IDOL community that are similar to a given agent or profile. This sends a "Community" action to IDOL with the various agent/profile/find parameters set to only return agent. These can be overridden by setting the parameters in the `ArrayList`.

  Parameters:
    `profileOrAgent` - the `Agent` or `Profile` for which similar agents should be found. Note this parameter cannot be any arbitrary `BaseAgent` object. It has to be more specific either an `Agent` or `Profile` object, which both though extends BaseAgent.
    `alCommunityParameters` - any additional parameters to be sent with the "Community" action. Values set here will override any that are normally set by this method.
  Returns:
    an `ArrayList` of `Agent`s which have been found to match the given agent or profile.
  Throws:
    `AciException` - if there was an error when making the request.
    `ProfileNotFoundException` - if the specified profile does not exist on IDOL.
    `AgentNotFoundException` - if the specified agent does not exist on IDOL.

### getSimilarProfiles

    public java.util.ArrayList getSimilarProfiles(BaseAgent profileOrAgent,
                                                  java.util.ArrayList alCommunityParameters)
                                           throws AciException,
                                                  ProfileNotFoundException,
                                                  AgentNotFoundException

  Find profiles in the IDOL community that are similar to a given agent or profile. This sends a "Community" action to IDOL with the various agent/profile/find parameters set to only return profiles. These can be overridden by setting the parameters in the `ArrayList`.

  Parameters:
    `profileOrAgent` - the `Agent` or `Profile` for which similar profiles should be found. Note this parameter cannot be any arbitrary `BaseAgent` object. It has to be more specific either an `Agent` or `Profile` object, which both though extends BaseAgent.
    `alCommunityParameters` - any additional parameters to be sent with the "Community" action. Values set here will override any that are normally set by this method.
  Returns:
    an `ArrayList` of `Profile`s which have been found to match the given agent or profile.
  Throws:
    `AciException` - if there was an error when making the request.
    `ProfileNotFoundException` - if the specified profile does not exist on IDOL.
    `AgentNotFoundException` - if the specified agent does not exist on IDOL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD